---
title: DOMMatrixReadOnly.flipX()
slug: Web/API/DOMMatrixReadOnly/flipX
tags:
  - API
  - DOMMatrix
  - DOMMatrixReadOnly
  - Experimental
  - FlipX
  - Geometry
  - Geometry Interfaces
  - Interface
  - Method
  - Reference
  - matrix
---
<p>{{APIRef("Geometry Interfaces")}}{{seecompattable}}</p>

<p>The <code>flipX()</code> method of the {{domxref("DOMMatrixReadOnly")}} interface creates a new matrix being the result of the original matrix flipped about the x-axis.</p>

<h2 id="Syntax">Syntax</h2>

<pre>DOMMatrix.flipX()</pre>


<h3 class="highlight-spanned" id="Return_value"><span class="highlight-span">Return value</span></h3>

<p>Returns a <a href="/en-US/docs/Web/API/DOMMatrix" title="The DOMMatrix interface represents 4x4 matrices, suitable for 2D and 3D operations."><code>DOMMatrix</code></a> containing a new matrix being the result of the original matrix flipped about the x-axis, which is equivalent to multiplying the matrix by <code>DOMMatrix(-1, 0, 0, 1, 0, 0)</code>.  The original matrix is not modified.</p>

<h2 id="Examples">Examples</h2>

<p>This SVG contains two paths in the shape of a triangle, both drawn to the same position.  Note that the x co-ordinate of the viewBox attribute is negative, showing us content from both sides of the x-axis.</p>

<pre class="brush: html">&lt;svg width="100" height="100" viewBox="-50 0 100 100"&gt;
  &lt;path fill="red" d="M 0 50 L 50 0 L 50 100 Z" /&gt;
  &lt;path id="flipped" fill="blue" d="M 0 50 L 50 0 L 50 100 Z" /&gt;
&lt;/svg&gt;</pre>

<p>This JavaScript first creates an identity matrix, then uses the `flipX()` method to create a new matrix, which is then applied to the blue triangle, inverting it across the x-axis.  The red triangle is left in place.</p>

<pre class="brush: js">const flipped = document.getElementById('flipped');
const matrix = new DOMMatrixReadOnly();
const flippedMatrix = matrix.flipX();
flipped.setAttribute('transform', flippedMatrix.toString());</pre>

<p>{{ EmbedLiveSample('Examples', '100', '100', 'https://mdn.mozillademos.org/files/16556/flipX.png', 'Web/API/DOMMatrixReadOnly/flipX') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('Geometry Interfaces', '#dom-dommatrixreadonly-flipx', 'DOMMatrixReadOnly.flipX()') }}</td>
   <td>{{ Spec2('Geometry Interfaces') }}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMMatrixReadOnly.flipX")}}</p>
